Subject: [Seamoby] FW: Context Transfer Protocol - IPv6???

From: [email-masked]
Date: Fri, 11 Jul 2003 13:53:19 +0300

Hi all,

got this comment on CTP.

John

-----Original Message-----
From: Hippelainen Lassi (NET/Helsinki) 
Sent: 11 July, 2003 10:06
To: Loughney John (NRC/Helsinki)
Subject: RE: Context Transfer Protocol - IPv6???

Hi John,

I was trying to catch up my e-mail after the summer vacation, and found this doc in the pile. I have one serious point to raise: where is IPv6? Current packet formats do not mention the size of the IP addresses, but they seem to assume 32 bits...

The easiest way to handle both IP versions would be to use the reserve bits after Message Type. The cleanest way is to copy the four bits that are used in the IP header. That means that all IP addresses in a message must use the same IP version, but we are not supporting mixed handovers between IP versions, are we? And if ARs can forward IPv6 packets to the mobile, they themselves have IPv6 addresses as well.

Unfortunately two of the reserve bits have been used for the 'C' and 'R' flags. But I cannot find any use for the 'C' flag, and the single use for the 'R' flag can be worked around by using two different Message Types, one for CTD with response required, other for CTD without it. So the bits could be cleared to make room for IP version.

The other alternative is to add to each address a field that defines its version, but that would be extremely ugly, because nothing would fit on a 32 bit boundary without massive waste of bits...

-- Lassi

_______________________________________________
Seamoby mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/seamoby